Package ch.qos.logback.classic.pattern

# Class ExtendedThrowableProxyConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
ch.qos.logback.classic.pattern.ClassicConverter
ch.qos.logback.classic.pattern.ThrowableHandlingConverter
ch.qos.logback.classic.pattern.ThrowableProxyConverter
ch.qos.logback.classic.pattern.ExtendedThrowableProxyConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `RootCauseFirstThrowableProxyConverter`

public class ExtendedThrowableProxyConverter extends ThrowableProxyConverter

## Field Summary

### Fields inherited from class ch.qos.logback.classic.pattern.ThrowableProxyConverter

`BUILDER_CAPACITY`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedThrowableProxyConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extraData(StringBuilder builder, StackTraceElementProxy step)`
`protected void`
`prepareLoggingEvent(ILoggingEvent event)`

### Methods inherited from class ch.qos.logback.classic.pattern.ThrowableProxyConverter

`convert, start, stop, subjoinSTEPArray, throwableProxyToString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedThrowableProxyConverter

public ExtendedThrowableProxyConverter()

## Method Details

### extraData

protected void extraData(StringBuilder builder, StackTraceElementProxy step)

Overrides:
  `extraData` in class `ThrowableProxyConverter`

### prepareLoggingEvent

protected void prepareLoggingEvent(ILoggingEvent event)